#!/bin/bash

if [[ "$UID" != 0 ]]; then
    echo "USER NOT ROOT"
    sudo "$0"
    exit
else
    echo "USER IS ROOT"
fi

env LANG=C.UTF-8 pacman -Qk 2>/dev/null | grep -v ' 0 missing files' | cut -d: -f1 |
while read -r package; do
    sudo pacman -S "$package" --overwrite "*" --noconfirm
done

echo "Finish!"

echo "This window may close!"

sleep 5
